/*
 * 2D Game Engine 
 * Transform.h: 
 * Based on pikuma.com 2D game engine in C++ and Lua course
 * Copyright (c) 2021 986-Studio. All rights reserved.
 *
 * Created by Manoël Trapier on 11/02/2021.
 */

#ifndef GAMEENGINE_TRANSFORM_H
#define GAMEENGINE_TRANSFORM_H

#include <glm/glm.hpp>

struct TransformComponent
{
    glm::vec2 position;
    glm::vec2 scale;
    double rotation;

    explicit TransformComponent(glm::vec2 position = glm::vec2(0, 0),
                                glm::vec2 scale = glm::vec2(1, 1),
                                double rotation = 0):position(position), scale(scale), rotation(rotation) {};
};

#endif /* GAMEENGINE_TRANSFORM_H */
